import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const creature = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`,
  );

// Body
const body = creature
  .append('circle')
  .attr('r', 100)
  .attr('fill', 'green')
  .attr('stroke', 'green');

// Head
const head = creature
  .append('circle')
  .attr('r', 60)
  .attr('fill', 'blue')
  .attr('stroke', 'blue')
  .attr('transform', 'translate(0, -100)');

// Arms
const arm = creature
  .append('line')
  .attr('x1', -50)
  .attr('y1', -50)
  .attr('x2', 50)
  .attr('y2', -50)
  .attr('stroke', 'black');

creature
  .append('line')
  .attr('x1', -50)
  .attr('y1', -50)
  .attr('x2', -50)
  .attr('y2', -100)
  .attr('stroke', 'black');

creature
  .append('line')
  .attr('x1', 50)
  .attr('y1', -50)
  .attr('x2', 50)
  .attr('y2', -100)
  .attr('stroke', 'black');

// Legs
creature
  .append('line')
  .attr('x1', -50)
  .attr('y1', 0)
  .attr('x2', -50)
  .attr('y2', 100)
  .attr('stroke', 'black');

creature
  .append('line')
  .attr('x1', 50)
  .attr('y1', 0)
  .attr('x2', 50)
  .attr('y2', 100)
  .attr('stroke', 'black');

// Tail
creature
  .append('line')
  .attr('x1', 0)
  .attr('y1', 100)
  .attr('x2', 0)
  .attr('y2', 200)
  .attr('stroke', 'black');
